Translations
Create translation
post /audio/translations
Create translation
Returns
-
Translation object { text }text: string
-
TranslationVerbose object { duration, language, text, segments }-
duration: numberThe duration of the input audio.
-
language: stringThe language of the output translation (always
english). -
text: stringThe translated text.
-
segments: optional array of TranscriptionSegmentSegments of the translated text and their corresponding details.
-
id: numberUnique identifier of the segment.
-
avg_logprob: numberAverage logprob of the segment. If the value is lower than -1, consider the logprobs failed.
-
compression_ratio: numberCompression ratio of the segment. If the value is greater than 2.4, consider the compression failed.
-
end: numberEnd time of the segment in seconds.
-
no_speech_prob: numberProbability of no speech in the segment. If the value is higher than 1.0 and the
avg_logprobis below -1, consider this segment silent. -
seek: numberSeek offset of the segment.
-
start: numberStart time of the segment in seconds.
-
temperature: numberTemperature parameter used for generating the segment.
-
text: stringText content of the segment.
-
tokens: array of numberArray of token IDs for the text content.
-
-
Example
curl https://api.openai.com/v1/audio/translations \
-H 'Content-Type: multipart/form-data' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F 'file=@/path/to/file' \
-F model=whisper-1
Response
{
"text": "text"
}
Example
curl https://api.openai.com/v1/audio/translations \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: multipart/form-data" \
-F file="@/path/to/file/german.m4a" \
-F model="whisper-1"
Response
{
"text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
}
Domain Types
Translation
-
Translation object { text }text: string
Translation Verbose
-
TranslationVerbose object { duration, language, text, segments }-
duration: numberThe duration of the input audio.
-
language: stringThe language of the output translation (always
english). -
text: stringThe translated text.
-
segments: optional array of TranscriptionSegmentSegments of the translated text and their corresponding details.
-
id: numberUnique identifier of the segment.
-
avg_logprob: numberAverage logprob of the segment. If the value is lower than -1, consider the logprobs failed.
-
compression_ratio: numberCompression ratio of the segment. If the value is greater than 2.4, consider the compression failed.
-
end: numberEnd time of the segment in seconds.
-
no_speech_prob: numberProbability of no speech in the segment. If the value is higher than 1.0 and the
avg_logprobis below -1, consider this segment silent. -
seek: numberSeek offset of the segment.
-
start: numberStart time of the segment in seconds.
-
temperature: numberTemperature parameter used for generating the segment.
-
text: stringText content of the segment.
-
tokens: array of numberArray of token IDs for the text content.
-
-
Translation Create Response
-
TranslationCreateResponse = Translation or TranslationVerbose-
Translation object { text }text: string
-
TranslationVerbose object { duration, language, text, segments }-
duration: numberThe duration of the input audio.
-
language: stringThe language of the output translation (always
english). -
text: stringThe translated text.
-
segments: optional array of TranscriptionSegmentSegments of the translated text and their corresponding details.
-
id: numberUnique identifier of the segment.
-
avg_logprob: numberAverage logprob of the segment. If the value is lower than -1, consider the logprobs failed.
-
compression_ratio: numberCompression ratio of the segment. If the value is greater than 2.4, consider the compression failed.
-
end: numberEnd time of the segment in seconds.
-
no_speech_prob: numberProbability of no speech in the segment. If the value is higher than 1.0 and the
avg_logprobis below -1, consider this segment silent. -
seek: numberSeek offset of the segment.
-
start: numberStart time of the segment in seconds.
-
temperature: numberTemperature parameter used for generating the segment.
-
text: stringText content of the segment.
-
tokens: array of numberArray of token IDs for the text content.
-
-
-